Get card details
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440002",
"status": "active",
"last4": "4242",
"isPinSet": false,
"displayName": "Jane Doe Card",
"cardType": "virtual",
"expirationMonth": "12",
"expirationYear": "2028",
"limit": {
"amount": 500000,
"frequency": "per24HourPeriod"
}
}Cards
Get card details
Returns status, last four digits, expiry, card type, spending limit, and whether a PIN is set. Use GET /cards//secrets for encrypted PAN and CVC retrieval.
GET
/
api
/
v1
/
cards
/
{cardId}
Get card details
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/{cardId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440002",
"status": "active",
"last4": "4242",
"isPinSet": false,
"displayName": "Jane Doe Card",
"cardType": "virtual",
"expirationMonth": "12",
"expirationYear": "2028",
"limit": {
"amount": 500000,
"frequency": "per24HourPeriod"
}
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Response
200 - application/json
Example:
"550e8400-e29b-41d4-a716-446655440002"
Cards are active after issuance. terminated is set by DELETE /cards/{cardId} and cannot be reversed.
Available options:
pending, active, frozen, terminated Example:
"active"
Example:
"4242"
Example:
false
Example:
"Jane Doe Card"
Available options:
virtual, physical Example:
"12"
Example:
"2028"
Card spending limit from the issuer when available (amount in cents)
Example:
{
"amount": 500000,
"frequency": "per24HourPeriod"
}